Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.schedule.util
Class ScheduleEntryComparator

    java.lang.Object
      org.apache.myfaces.custom.schedule.util.ScheduleEntryComparator

All Implemented Interfaces:
  java.util.Comparator

public class ScheduleEntryComparator
extends java.lang.Object
implements java.util.Comparator

Comparator for ScheduleEntry objects. This is needed for correctly rendering the schedule.

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$), Bruno Aranda (adaptation of Jurgen's code to myfaces)

Constructor Summary
`ScheduleEntryComparator()`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### ScheduleEntryComparator

    public ScheduleEntryComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`
  See Also:
    `Comparator.compare(java.lang.Object, java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD